com.tibco.n2.service.adapter.config

## Interface IResourceFactory

- All Known Implementing Classes:
    ResourceFactory

      public interface IResourceFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.bds.api.services.BusinessDataServicesAdminService` | `getBDSAdminService()`
    `com.tibco.bds.api.services.BusinessDataServices` | `getBDSPublicService()`
    `com.tibco.n2.dac.api.services.BusinessDeadlineService` | `getBusinessDeadlineService()`
    `com.tibco.n2.busserv.api.services.BusinessService` | `getBusinessService()`
    `com.tibco.n2.dac.api.services.CalendarService` | `getCalendarService()`
    `com.tibco.n2.wp.api.services.ChannelBusService` | `getChannelBusService()`
    `com.tibco.n2.de.api.services.DirectoryService` | `getDirectoryService()`
    `com.tibco.bds.api.services.DocumentService` | `getDocumentService()`
    `com.tibco.n2.de.api.services.EntityResolverPrivateService` | `getEntityResolverPrivateService()`
    `com.tibco.n2.de.api.services.EntityResolverService` | `getEntityResolverService()`
    `com.tibco.n2.ec.api.services.EventCollectorManagementService` | `getEventCollectorManagementService()`
    `com.tibco.n2.ec.api.services.EventCollectorMeasuresService` | `getEventCollectorMeasuresService()`
    `com.tibco.n2.ec.api.services.EventCollectorQueryService` | `getEventCollectorQueryService()`
    `com.tibco.n2.ec.api.services.EventCollectorReportService` | `getEventCollectorReportService()`
    `com.tibco.n2.ec.api.services.EventCollectorUpdateService` | `getEventCollectorUpdateService()`
    `com.tibco.n2.de.api.services.ExporterService` | `getExporterService()`
    `com.tibco.n2.brm.api.services.OrganisationalEntityConfigService` | `getOrganisationalEntityConfigService()`
    `com.tibco.n2.de.api.services.OrgModelService` | `getOrgModelService()`
    `com.tibco.n2.de.api.services.OrgResourceService` | `getOrgResourceService()`
    `com.tibco.n2.pfe.api.services.PageFlowService` | `getPageFlowService()`
    `com.tibco.n2.process.management.api.ProcessManagerService` | `getProcessManagerService()`
    `com.tibco.n2.de.api.services.ResourceQueryService` | `getResourceQueryService()`
    `com.tibco.n2.de.api.services.SecurityService` | `getSecurityService()`
    `com.tibco.n2.de.api.services.UserSettingsService` | `getUserSettingsService()`
    `com.tibco.n2.brm.api.services.WorkItemManagementService` | `getWorkItemManagementService()`
    `com.tibco.n2.brm.api.services.WorkItemSchedulerService` | `getWorkItemSchedulerService()`
    `com.tibco.n2.brm.api.services.WorkListService` | `getWorkListService()`
    `com.tibco.n2.brm.api.services.WorkModelBrowserService` | `getWorkModelBrowserService()`
    `com.tibco.n2.wp.api.services.WorkPresentationService` | `getWorkPresentationService()`
    `void` | `setBDSAdminService(com.tibco.bds.api.services.BusinessDataServicesAdminService adminService)`
    `void` | `setBDSPublicService(com.tibco.bds.api.services.BusinessDataServices publicService)`
    `void` | `setBusinessDeadlineService(com.tibco.n2.dac.api.services.BusinessDeadlineService businessDeadlineService)`
    `void` | `setBusinessService(com.tibco.n2.busserv.api.services.BusinessService businessService)`
    `void` | `setCalendarService(com.tibco.n2.dac.api.services.CalendarService calendarService)`
    `void` | `setChannelBusService(com.tibco.n2.wp.api.services.ChannelBusService channelBusService)`
    `void` | `setDirectoryService(com.tibco.n2.de.api.services.DirectoryService directoryService)`
    `void` | `setDocumentService(com.tibco.bds.api.services.DocumentService adminService)`
    `void` | `setEntityResolverPrivateService(com.tibco.n2.de.api.services.EntityResolverPrivateService entityResolverPrivateService)`
    `void` | `setEntityResolverService(com.tibco.n2.de.api.services.EntityResolverService entityResolverService)`
    `void` | `setEventCollectorManagementService(com.tibco.n2.ec.api.services.EventCollectorManagementService eventCollectorManagementService)`
    `void` | `setEventCollectorMeasuresService(com.tibco.n2.ec.api.services.EventCollectorMeasuresService eventCollectorMeasuresService)`
    `void` | `setEventCollectorQueryService(com.tibco.n2.ec.api.services.EventCollectorQueryService eventCollectorQueryService)`
    `void` | `setEventCollectorReportService(com.tibco.n2.ec.api.services.EventCollectorReportService eventCollectorReportService)`
    `void` | `setEventCollectorUpdateService(com.tibco.n2.ec.api.services.EventCollectorUpdateService eventCollectorUpdateService)`
    `void` | `setExporterService(com.tibco.n2.de.api.services.ExporterService exporterService)`
    `void` | `setOrganisationalEntityConfigService(com.tibco.n2.brm.api.services.OrganisationalEntityConfigService organisationalEntityConfigService)`
    `void` | `setOrgModelService(com.tibco.n2.de.api.services.OrgModelService orgModelService)`
    `void` | `setOrgResourceService(com.tibco.n2.de.api.services.OrgResourceService orgResourceService)`
    `void` | `setPageFlowService(com.tibco.n2.pfe.api.services.PageFlowService pageFlowService)`
    `void` | `setProcessManagerService(com.tibco.n2.process.management.api.ProcessManagerService processManagerService)`
    `void` | `setResourceQueryService(com.tibco.n2.de.api.services.ResourceQueryService resourceQueryService)`
    `void` | `setSecurityService(com.tibco.n2.de.api.services.SecurityService securityService)`
    `void` | `setUserSettingsService(com.tibco.n2.de.api.services.UserSettingsService userSettingsService)`
    `void` | `setWorkItemManagementService(com.tibco.n2.brm.api.services.WorkItemManagementService workItemManagementService)`
    `void` | `setWorkItemSchedulerService(com.tibco.n2.brm.api.services.WorkItemSchedulerService workItemSchedulerService)`
    `void` | `setWorkListService(com.tibco.n2.brm.api.services.WorkListService workListService)`
    `void` | `setWorkModelBrowserService(com.tibco.n2.brm.api.services.WorkModelBrowserService workModelBrowserService)`
    `void` | `setWorkPresentationService(com.tibco.n2.wp.api.services.WorkPresentationService workPresentationService)`

- - ### Method Detail

    - #### getProcessManagerService

          com.tibco.n2.process.management.api.ProcessManagerService getProcessManagerService()

    - #### setProcessManagerService

          void setProcessManagerService(com.tibco.n2.process.management.api.ProcessManagerService processManagerService)

    - #### getEventCollectorQueryService

          com.tibco.n2.ec.api.services.EventCollectorQueryService getEventCollectorQueryService()

    - #### setEventCollectorQueryService

          void setEventCollectorQueryService(com.tibco.n2.ec.api.services.EventCollectorQueryService eventCollectorQueryService)

    - #### getEventCollectorUpdateService

          com.tibco.n2.ec.api.services.EventCollectorUpdateService getEventCollectorUpdateService()

    - #### setEventCollectorUpdateService

          void setEventCollectorUpdateService(com.tibco.n2.ec.api.services.EventCollectorUpdateService eventCollectorUpdateService)

    - #### getEventCollectorMeasuresService

          com.tibco.n2.ec.api.services.EventCollectorMeasuresService getEventCollectorMeasuresService()

    - #### setEventCollectorMeasuresService

          void setEventCollectorMeasuresService(com.tibco.n2.ec.api.services.EventCollectorMeasuresService eventCollectorMeasuresService)

    - #### getEventCollectorManagementService

          com.tibco.n2.ec.api.services.EventCollectorManagementService getEventCollectorManagementService()

    - #### setEventCollectorReportService

          void setEventCollectorReportService(com.tibco.n2.ec.api.services.EventCollectorReportService eventCollectorReportService)

    - #### getEventCollectorReportService

          com.tibco.n2.ec.api.services.EventCollectorReportService getEventCollectorReportService()

    - #### setEventCollectorManagementService

          void setEventCollectorManagementService(com.tibco.n2.ec.api.services.EventCollectorManagementService eventCollectorManagementService)

    - #### getWorkModelBrowserService

          com.tibco.n2.brm.api.services.WorkModelBrowserService getWorkModelBrowserService()

    - #### setWorkModelBrowserService

          void setWorkModelBrowserService(com.tibco.n2.brm.api.services.WorkModelBrowserService workModelBrowserService)

    - #### getWorkItemManagementService

          com.tibco.n2.brm.api.services.WorkItemManagementService getWorkItemManagementService()

    - #### setWorkItemManagementService

          void setWorkItemManagementService(com.tibco.n2.brm.api.services.WorkItemManagementService workItemManagementService)

    - #### getWorkItemSchedulerService

          com.tibco.n2.brm.api.services.WorkItemSchedulerService getWorkItemSchedulerService()

    - #### setWorkItemSchedulerService

          void setWorkItemSchedulerService(com.tibco.n2.brm.api.services.WorkItemSchedulerService workItemSchedulerService)

    - #### getCalendarService

          com.tibco.n2.dac.api.services.CalendarService getCalendarService()

    - #### setCalendarService

          void setCalendarService(com.tibco.n2.dac.api.services.CalendarService calendarService)

    - #### getBusinessDeadlineService

          com.tibco.n2.dac.api.services.BusinessDeadlineService getBusinessDeadlineService()

    - #### setBusinessDeadlineService

          void setBusinessDeadlineService(com.tibco.n2.dac.api.services.BusinessDeadlineService businessDeadlineService)

    - #### getWorkListService

          com.tibco.n2.brm.api.services.WorkListService getWorkListService()

    - #### setWorkListService

          void setWorkListService(com.tibco.n2.brm.api.services.WorkListService workListService)

    - #### getOrganisationalEntityConfigService

          com.tibco.n2.brm.api.services.OrganisationalEntityConfigService getOrganisationalEntityConfigService()

    - #### setOrganisationalEntityConfigService

          void setOrganisationalEntityConfigService(com.tibco.n2.brm.api.services.OrganisationalEntityConfigService organisationalEntityConfigService)

    - #### getEntityResolverService

          com.tibco.n2.de.api.services.EntityResolverService getEntityResolverService()

    - #### setEntityResolverService

          void setEntityResolverService(com.tibco.n2.de.api.services.EntityResolverService entityResolverService)

    - #### getSecurityService

          com.tibco.n2.de.api.services.SecurityService getSecurityService()

    - #### setSecurityService

          void setSecurityService(com.tibco.n2.de.api.services.SecurityService securityService)

    - #### getUserSettingsService

          com.tibco.n2.de.api.services.UserSettingsService getUserSettingsService()

    - #### setUserSettingsService

          void setUserSettingsService(com.tibco.n2.de.api.services.UserSettingsService userSettingsService)

    - #### getExporterService

          com.tibco.n2.de.api.services.ExporterService getExporterService()

    - #### setExporterService

          void setExporterService(com.tibco.n2.de.api.services.ExporterService exporterService)

    - #### getResourceQueryService

          com.tibco.n2.de.api.services.ResourceQueryService getResourceQueryService()

    - #### setResourceQueryService

          void setResourceQueryService(com.tibco.n2.de.api.services.ResourceQueryService resourceQueryService)

    - #### getWorkPresentationService

          com.tibco.n2.wp.api.services.WorkPresentationService getWorkPresentationService()

    - #### setWorkPresentationService

          void setWorkPresentationService(com.tibco.n2.wp.api.services.WorkPresentationService workPresentationService)

    - #### getChannelBusService

          com.tibco.n2.wp.api.services.ChannelBusService getChannelBusService()

    - #### setChannelBusService

          void setChannelBusService(com.tibco.n2.wp.api.services.ChannelBusService channelBusService)

    - #### getPageFlowService

          com.tibco.n2.pfe.api.services.PageFlowService getPageFlowService()

    - #### setPageFlowService

          void setPageFlowService(com.tibco.n2.pfe.api.services.PageFlowService pageFlowService)

    - #### getBusinessService

          com.tibco.n2.busserv.api.services.BusinessService getBusinessService()

    - #### setBusinessService

          void setBusinessService(com.tibco.n2.busserv.api.services.BusinessService businessService)

    - #### getOrgResourceService

          com.tibco.n2.de.api.services.OrgResourceService getOrgResourceService()

    - #### setOrgResourceService

          void setOrgResourceService(com.tibco.n2.de.api.services.OrgResourceService orgResourceService)

    - #### getOrgModelService

          com.tibco.n2.de.api.services.OrgModelService getOrgModelService()

    - #### setOrgModelService

          void setOrgModelService(com.tibco.n2.de.api.services.OrgModelService orgModelService)

    - #### getDirectoryService

          com.tibco.n2.de.api.services.DirectoryService getDirectoryService()

    - #### setDirectoryService

          void setDirectoryService(com.tibco.n2.de.api.services.DirectoryService directoryService)

    - #### getBDSPublicService

          com.tibco.bds.api.services.BusinessDataServices getBDSPublicService()

    - #### setBDSPublicService

          void setBDSPublicService(com.tibco.bds.api.services.BusinessDataServices publicService)

    - #### getBDSAdminService

          com.tibco.bds.api.services.BusinessDataServicesAdminService getBDSAdminService()

    - #### setBDSAdminService

          void setBDSAdminService(com.tibco.bds.api.services.BusinessDataServicesAdminService adminService)

    - #### getDocumentService

          com.tibco.bds.api.services.DocumentService getDocumentService()

    - #### setDocumentService

          void setDocumentService(com.tibco.bds.api.services.DocumentService adminService)

    - #### getEntityResolverPrivateService

          com.tibco.n2.de.api.services.EntityResolverPrivateService getEntityResolverPrivateService()

    - #### setEntityResolverPrivateService

          void setEntityResolverPrivateService(com.tibco.n2.de.api.services.EntityResolverPrivateService entityResolverPrivateService)

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.